//window.addEventListener('DOMContentLoaded', (event) => {

var ctx = document.getElementById("transfer-chart").getContext("2d");

let x = 0;
let transferData = [];
 



//Chart.defaults.font.family = "Titillium Web";
//Chart.defaults.font.size = 12;
//Chart.defaults.borderColor = window.getComputedStyle(document.documentElement).getPropertyValue('--bs-border-color');
//Chart.defaults.pointStyle = false;
//Chart.defaults.pointRadius  = 0;

document.transferChart = new Chart(ctx, {
  type: "line",
  data: {
    datasets: [
    {
      data: transferData,
      order: 0,
      borderWidth: 4,
      borderColor: "rgb(255,67,205)",
      //borderColor: "rgba(0, 0, 0, 0.0)",
      //backgroundColor: window.getComputedStyle(document.body).getPropertyValue('--raw-chart-color'),
      borderJoinStyle: "round",
      pointRadius: 0,
      fill: false,
      spanGaps: true,
      lineTension: 0.5,
    },
    ]
  },
  options: {
    animation: { duration:0, easing: 'linear' },
    responsive: true,
    maintainAspectRatio: false,
    legend: {
      display: false
    },
    plugins: {
            filler: {
                propagate: false
            }
        },
    scales: {
      xAxes: [{
        type: "linear",
        ticks: {
          min: -1,
          max: 1,
          stepSize: 0.2,
        },
        gridLines: {
          color: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg'),
          zeroLineColor: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg')
        },
      }],
      yAxes: [{
        id: 'A',
        ticks: {
          min: -1,
          max: 1,
          stepSize: 0.2,
        },
        gridLines: {
          color: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg'),
          zeroLineColor: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg')
        }
      }]
    }
  }
});